---
title: List guardrails
url: https://runapi.ai/docs/api/management/guardrails/list.md
canonical: https://runapi.ai/docs/api/management/guardrails/list
locale: en
---

# List guardrails

List active guardrails in the current account.

## Endpoint

GET /api/v1/guardrails

Base URL: https://runapi.ai

API version: v1

Authentication: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


Authorization: Requires an account-admin Management API key.

## Request

Send values only in the listed request location.

### Query parameters

```json
{
  "limit": {
    "default": 20,
    "description": "Maximum Guardrails returned per page.",
    "max": 100,
    "min": 1,
    "required": false,
    "type": "integer"
  },
  "page": {
    "default": 1,
    "description": "Offset page number. Values start at 1.",
    "min": 1,
    "required": false,
    "type": "integer"
  }
}
```

## Success response

HTTP 200 - GET /api/v1/guardrails

```json
{
  "guardrails": [
    {
      "allowed_models": [
        "gpt-5.4"
      ],
      "allowed_providers": [],
      "assignment_count": 1,
      "blocked_models": [],
      "blocked_providers": [],
      "created_at": "2026-07-27T10:00:00.000Z",
      "credit_limit_cents": 50000,
      "credit_limit_reset_interval": "monthly",
      "description": "Production policy",
      "enabled": true,
      "id": "guardrail_123",
      "model_budgets": [
        {
          "credit_limit_cents": 10000,
          "credit_limit_reset_interval": "monthly",
          "match_mode": "include",
          "models": [
            "gpt-5.4"
          ]
        }
      ],
      "name": "Production budget"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
```

## Error response (401)

HTTP 401

```json
{
  "error": "Authentication required"
}
```

## Error response (403)

HTTP 403

```json
{
  "error": "Management API key required"
}
```

## Error response (403)

HTTP 403

```json
{
  "error": "Account admin required"
}
```

## Error response (400)

HTTP 400

```json
{
  "error": "page must be an integer"
}
```

## cURL example



### curl

```curl
curl -X GET https://runapi.ai/api/v1/guardrails?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'
```

## Related reference

- [Guardrails](/docs/api/management/guardrails)
- [Guardrail object](/docs/api/management/guardrails/object)
